
QGIS Application - Bug report #8785

Style file not saved in Win 8

2013-10-06 05:57 PM - Carlos Eduardo Hernandez

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.0.1 Regression?: No

Operating System: Windows 8 Pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 17489

Description

When I try to save a layer style into a .qml file, no file is created.

I follow these steps:

1. Right click on the layer title

2. Properties

3. Change what I want to change

4. Save Style

5. QGIS Layer Style File

6. I type a name for the file

7. Save

8. There is no error message, but no file is created.

QGIS version:    2.0.1-Dufour    

QGIS code revision:    d94c044

Operative System: Windows 8 Pro

Thanks!

Related issues:

Duplicates QGIS Application - Bug report # 7936: Cannot save Layer Styles Closed 2013-05-29

History

#1 - 2013-10-07 12:00 PM - Giovanni Manghi

- Status changed from Open to Feedback

do you have write permissions in the output folder?

#2 - 2013-10-08 12:48 AM - Carlos Eduardo Hernandez

Yes. Results are the same when trying to save to the desktop. Results are the same when running QGIS in administrator mode. Furthermore, I am able to

save other file types in the same directory with no problems at all. For example, I am able to save project files (.qgs).

#3 - 2013-10-08 05:52 AM - Giovanni Manghi

Carlos Eduardo Hernandez wrote:
Yes. Results are the same when trying to save to the desktop. Results are the same when running QGIS in administrator mode. Furthermore, I am

able to save other file types in the same directory with no problems at all. For example, I am able to save project files (.qgs).

weird, on Windows 7 there is no such issue.

#4 - 2013-10-16 08:06 AM - Joel Copeland

I'm using Windows7.  I discovered this same issue using Lisboa, so I just upgraded to Dufour. Still can't seem to save a style file.

#5 - 2013-10-16 09:37 AM - Giovanni Manghi

Joel Copeland wrote:

I'm using Windows7.  I discovered this same issue using Lisboa, so I just upgraded to Dufour. Still can't seem to save a style file.

on other hand it works on both win 7 and win 8 in general, so I start to think this may depend on a local issue.

#6 - 2014-01-30 08:44 PM - kilo lima

Same as #7936

Cannot save style from layer made from csv.

#7 - 2014-01-30 08:53 PM - ramon .

I've sporadically run into this before, but it's always gone away after I've shutdown and come back int the morning...

Almost always it's something on a shared/networked drive.

Does this fit with anyone else?

#8 - 2014-04-28 01:02 PM - Brian Syme

I'm seeing the same bug. Windows 8, saving to a local drive. The mouse pointer briefly changes to the Windows 8 "busy" blue circle but no file is saved.

#9 - 2014-06-21 04:59 AM - Jürgen Fischer

- Category set to Project Loading/Saving

#10 - 2014-06-23 04:59 AM - Giovanni Manghi

- Status changed from Feedback to Closed

#11 - 2014-06-23 05:01 AM - Giovanni Manghi

- Category changed from Project Loading/Saving to Symbology

- Status changed from Closed to Feedback
does it happens only for CSV layers or any type of layer?

#12 - 2014-09-22 06:56 AM - Toni Keskitalo

For me, this happens with Windows 7 Professional and with CSV layers and any file location, local drive or network drive. The mouse pointer is the

"working pointer" for a moment but nothing happens for QML style file. I can save style fine from eg. shapefile layers.

Additionally, trying to save as an SLD file gives an error "ERROR: Failed to created SLD style file as . Check file permissions and retry."

2.4.0-Chugiak (QGIS code revision 8fdd08a), installed from Osgeo4win (not to the default location, though).

#13 - 2014-10-12 10:34 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate

duplicate of #8285

2025-05-17 3/3


